# $Revision: 1.20 $, $Date: 2010/06/25 16:06:18 $

%include	/usr/lib/rpm/macros.java
Summary:	Maven Repository Manager
Name:		nexus
Version:	1.7.0
Release:	1
License:	GPL v3
Group:		Networking/Daemons/Java
Source0:	http://nexus.sonatype.org/downloads/%{name}-webapp-%{version}.war
# Source0-md5:	1297a834a9a6a58b62a22b5e008d1f4b
Source1:	%{name}-context.xml
Source2:	%{name}-plexus.properties
Source3:	%{name}-security-configuration.xml
Source4:	%{name}-security.xml
URL:		http://nexus.sonatype.org/
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	rc-scripts
Requires:	tomcat
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nexus is a powerful and robust Maven repository manager, created to
provide reliable access to artifacts required for development and
provisioning. Maven's central repository has always served as a great
convenience for users of Maven, but it has always been recommended to
maintain your own repositories to ensure stability within your
organization. Nexus greatly simplifies the maintenance of your own
internal repositories and access to external repositories. With Nexus
you can completely control access to, and deployment of, every
artifact in your organization from a single location.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/nexus,%{_datadir}/nexus,/var/log/nexus,%{_sharedstatedir}/{nexus/conf,tomcat/conf/Catalina/localhost}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/tomcat-context.xml
ln -sf %{_sysconfdir}/%{name}/tomcat-context.xml $RPM_BUILD_ROOT%{_tomcatconfdir}/%{name}.xml
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/nexus/plexus.properties

cp -a . $RPM_BUILD_ROOT%{_datadir}/nexus

mv $RPM_BUILD_ROOT%{_datadir}/nexus/WEB-INF/web.xml $RPM_BUILD_ROOT%{_sysconfdir}/nexus/web.xml
ln -sf %{_sysconfdir}/nexus/web.xml $RPM_BUILD_ROOT%{_datadir}/nexus/WEB-INF/web.xml
ln -sf %{_sysconfdir}/nexus/plexus.properties $RPM_BUILD_ROOT%{_datadir}/nexus/WEB-INF/plexus.properties

# These files are configs, but they should be created by nexus. So lets
# install them as %%ghost %%config, and link to /etc/nexus
touch $RPM_BUILD_ROOT%{_sharedstatedir}/nexus/conf/log4j.properties
touch $RPM_BUILD_ROOT%{_sharedstatedir}/nexus/conf/nexus.xml
touch $RPM_BUILD_ROOT%{_sharedstatedir}/nexus/conf/lvo-plugin.xml
ln -sf %{_sharedstatedir}/nexus/conf/log4j.properties $RPM_BUILD_ROOT%{_sysconfdir}/nexus/log4j.properties
ln -sf %{_sharedstatedir}/nexus/conf/nexus.xml $RPM_BUILD_ROOT%{_sysconfdir}/nexus/nexus.xml
ln -sf %{_sharedstatedir}/nexus/conf/lvo-plugin.xml $RPM_BUILD_ROOT%{_sysconfdir}/nexus/lvo-plugin.xml

install %{SOURCE3} $RPM_BUILD_ROOT%{_sharedstatedir}/nexus/conf/security-configuration.xml
install %{SOURCE4} $RPM_BUILD_ROOT%{_sharedstatedir}/nexus/conf/security.xml
ln -sf %{_sharedstatedir}/nexus/conf/security-configuration.xml $RPM_BUILD_ROOT%{_sysconfdir}/nexus/security-configuration.xml
ln -sf %{_sharedstatedir}/nexus/conf/security.xml $RPM_BUILD_ROOT%{_sysconfdir}/nexus/security.xml

# log directory
ln -s /var/log/nexus $RPM_BUILD_ROOT%{_sharedstatedir}/nexus/logs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%attr(770,root,servlet) %{_datadir}/nexus
%dir %attr(770,root,servlet) %{_sharedstatedir}/nexus
%dir %attr(770,root,servlet) %{_sharedstatedir}/nexus/logs
%dir %attr(770,root,servlet) %{_sharedstatedir}/nexus/conf
%attr(770,root,servlet) /var/log/nexus

%dir %{_sysconfdir}/nexus
%attr(644,root,servlet) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nexus/plexus.properties
%attr(660,root,servlet) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nexus/web.xml
%attr(660,root,servlet) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nexus/tomcat-context.xml
%{_sharedstatedir}/tomcat/conf/Catalina/localhost/nexus.xml

# These file must be writeable, that is why it goes to /var
%attr(640,tomcat,tomcat) %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/nexus/conf/security-configuration.xml
%attr(640,tomcat,tomcat) %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/nexus/conf/security.xml
%{_sysconfdir}/nexus/security-configuration.xml
%{_sysconfdir}/nexus/security.xml

# These files are created by nexus, but they are config files.
%ghost %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/nexus/conf/log4j.properties
%ghost %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/nexus/conf/nexus.xml
%ghost %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/nexus/conf/lvo-plugin.xml
%{_sysconfdir}/nexus/log4j.properties
%{_sysconfdir}/nexus/nexus.xml
%{_sysconfdir}/nexus/lvo-plugin.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nexus.spec,v $
Revision 1.20  2010/06/25 16:06:18  pawelz
- up to 1.7.0

Revision 1.19  2010/05/19 10:34:25  pawelz
- security.xml and security-configuration.xml must be writeable for nexus (i.e. tomcat user)

Revision 1.18  2010/05/19 10:16:27  pawelz
- install some default security configuration
- rel 2

Revision 1.17  2010/05/17 11:33:57  pawelz
- unified files (install tomcat-context into nexus conf dir and symlink to tomcat)

Revision 1.16  2010/05/17 11:11:09  pawelz
- up to 1.6.0

Revision 1.15  2010/02/04 21:40:29  sparky
- dropped unused BR: jpackage-utils

Revision 1.14  2010/02/04 14:29:14  pawelz
- up to 1.5.0

Revision 1.13  2009/11/19 13:29:39  pawelz
- up to 1.4.0

Revision 1.12  2009/09/25 10:37:35  pawelz
- rel 1. Seems to work.

Revision 1.11  2009/09/25 10:34:49  pawelz
- don't install log4j.properties. use one generated by nexus
- allow nexus to generate its config files, but mark it as %config
- some fixes in %files

Revision 1.10  2009/09/24 20:25:52  pawelz
- install log4j.properties
- install /var/log/nexus directory

Revision 1.9  2009/09/24 19:55:32  pawelz
- mark log4j.properties as %config
- chmod 644 log4j.properties and plexus.properties
- correct syntax of ln command

Revision 1.8  2009/09/24 15:11:53  pawelz
- up to 1.3.6 (1.2.1 branched as NEXUS_1_2)
- deployed in tomcat (no longer standalone app)
- does not work

Revision 1.7  2009/02/10 12:45:40  pawelz
- up to 1.2.1

Revision 1.6  2008/11/26 13:38:20  pawelz
- up to 1.1.1

Revision 1.5  2008/10/25 21:07:23  pawelz
- create directory for pid file

Revision 1.4  2008/10/24 20:15:37  pawelz
- fixed uid and gid numbers

Revision 1.3  2008/10/24 15:26:15  pawelz
- init script location

Revision 1.2  2008/10/24 14:44:28  pawelz
- added Summary and %description
- adapterized

Revision 1.1  2008/10/24 14:42:00  pawelz
- initial PLD release

